#' Kinetic data for the hydrolysis of ONPG catalyzed by Beta-galactosidase (EC. 3.2.1.23)
#'
#' In the University of Málaga, Enzymology is a second-year subject that all Biochemistry students must take. In the context of this subject, students carry out different experiments in the laboratory, using Beta-galactosidase (EC. 3.2.1.23) as an enzyme model, to illustrate the effect of different variables on the rate of the enzyme-catalyzed reaction (hydrolysis of o-nitrophenyl-Beta-d-galactopyranoside, ONPG). One of these experiments consists in assessing the effect of the substrate (ONPG) concentration on the initial rate. The current dataframe shows the results obtained by eight different student groups, as were presented in their reports.
#'
#' @format A dataframe with 10 rows (one per substrate concentration) and 9 columns. The first column give the ONPG concentrations assayed (in mM). The remaining columns provide the determined initial rates. Please, note that rates are given using different units, which can be checked typing in the console: attributes(ONPG).
"ONPG"
